# -------------------------------------------------
# Project created by QtCreator 2009-01-30T14:36:03
# -------------------------------------------------

CONFIG += qt \
    gui \
    link_pkgconfig

CONFIG(release):DEFINES += QT_NO_DEBUG_OUTPUT

PKGCONFIG += exempi-2.0
QT += widgets

TARGET = equalx
TEMPLATE = app

DESTDIR = bin
UI_HEADERS_DIR = include
UI_SOURCES_DIR = src
OBJECTS_DIR = $$DESTDIR/obj
MOC_DIR = tmp
RCC_DIR = src

INCLUDEPATH += include \
    /usr/include/exempi-2.0

LIBS += -L/usr/lib

DEPENDPATH = include/ \
    src \
    ui
RC_FILE = resources/resourceIconWindows.rc
win32:DEFINES += WIN_PLATFORM
unix:DEFINES += UNIX_PLATFORM
isEmpty( PREFIX ):PREFIX = /usr/bin
target.path = $$PREFIX
INSTALLS += target
DISTFILES += resources/templates/* \
    resources/icons/menu/* \
    resources/icons/tabBar/* \
    resources/icons/mathbar/*
SOURCES += src/main.cpp \
    src/MainWindow.cpp \
    src/LatexHighlighter.cpp \
    src/LatexEditor.cpp \
    src/WidgetColorPicker.cpp \
    src/WidgetToolMenu.cpp \
    src/WidgetFramePopup.cpp \
    src/DialogReplace.cpp \
    src/DialogPreferences.cpp \
    src/DialogAbout.cpp \
    src/WidgetFind.cpp \
    src/FrameMathTab.cpp \
    src/EquationTemplateWidget.cpp \
    src/Util.cpp \
    src/RenderEngine.cpp \
    src/EquationView.cpp \
    src/File.cpp \
    src/FileInfo.cpp \
    src/EquationArea.cpp
HEADERS += include/MainWindow.h \
    include/defines.h \
    include/LatexHighlighter.h \
    include/LatexEditor.h \
    include/WidgetColorPicker.h \
    include/WidgetToolMenu.h \
    include/WidgetFramePopup.h \
    include/DialogReplace.h \
    include/DialogPreferences.h \
    include/DialogAbout.h \
    include/WidgetFind.h \
    include/FrameMathTab.h \
    include/EquationTemplateWidget.h \
    include/Util.h \
    include/RenderEngine.h \
    include/HLSelections.h \
    include/EquationView.h \
    include/File.h \
    include/FileInfo.h \
    include/EquationArea.h
FORMS += ui/mainwindow.ui \
    ui/widgetToolMenu.ui \
    ui/dialogPreferences.ui \
    ui/dialogAbout.ui \
    ui/dialogReplace.ui \
    ui/widgetFind.ui \
    ui/frameMathTab.ui
RESOURCES += resourceFiles.qrc
OTHER_FILES += LICENSE \
    COPYING \
    README \
    THANKS \
    changelog \
    resources/resourceIconWindows.rc
